module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),

    sass: {
      dist: {
        options: {
          style: 'compressed'
        },
        files: [{
          expand: true,
          cwd: 'assets/styles',
          src: ['**/*.scss'],
          dest: 'public/css',
          ext: '.css'
        }]
      }
    },

    uglify: {
      options: {
        mangle: false
      },
      compile: {
        files: {
          'public/js/bedabin.min.js': ['assets/js/**/*.js']
        }
      }
    },

    watch: {
      css: {
        files: ['assets/styles/**/*.scss'],
        tasks: ['sass'],
        options: {
          atBegin: true,
          spawn: false
        }
      },
      js: {
        files: ['assets/js/**/*.js'],
        tasks: ['uglify'],
        options: {
          atBegin: true,
          spawn: false
        }
      }
    }
  });

  // Load plugins.
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-contrib-sass');
  grunt.loadNpmTasks('grunt-contrib-uglify');

  // CLI tasks.
  grunt.registerTask('default', ['sass', 'uglify']);

};
