<?php
declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class AddResultsTable extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('results');
        $table->addColumn('component', 'string', ['null' => false])
            ->addColumn('benchmark', 'string', ['null' => false])
            ->addColumn('type', 'string', ['null' => false, 'default' => 'fps'])
            ->addColumn('average', 'integer', ['null' => false])
            ->addColumn('minimum', 'integer')
            ->addColumn('maximum', 'integer')
            ->addTimestamps()
            ->addIndex(['component', 'benchmark', 'type'])
            ->create();
    }
}
