<?php
declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class AddTestsTable extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('tests');
        $table->addColumn('name', 'string', ['null' => false])
            ->addColumn('description', 'text', ['null' => false])
            ->addTimestamps()
            ->addIndex(['name'])
            ->create();

        $results = $this->table('results');
        $results->addColumn('test_id', 'integer', ['null' => false])
            ->addForeignKey('test_id', 'tests', 'id', ['delete'=> 'CASCADE', 'update'=> 'CASCADE'])
            ->update();
    }
}
